### Method

# EDataServerUI WebDAVDiscoverContent refresh

since: 3.18

#### Declaration [src]

    void
    e_webdav_discover_content_refresh (
      GtkWidget* content,
      const gchar* display_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously starts refresh of the `content`. This means to access the server and search it for available sources. The `content` shows a feedback and a Cancel button during the operation.

The `display_name` is used only if the `content` wasn’t created with an `ESource` and it’s shown in the password prompts, if there are required any.

When the operation is finished, `callback` will be called. You can then call `e_webdav_discover_content_refresh_finish()` to get the result of the operation.

Available since: 3.18

This method completes asynchronously. Use `e_webdav_discover_content_refresh_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`display_name`

  Type: `const gchar*`

  Optional display name to use for scratch sources.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.